﻿using Microsoft.AspNetCore.Components;
using ReportingServices.Shared.ViewModels.ProductionReport;

namespace ReportingServices.Client.Shared;

public partial class DailyReport
{

    protected int totalWafersOut = 0;
    protected int totalCustomerScrap = 0;
    protected int totalManufacturingScrap = 0;
    protected int totalProdScrap = 0;
    protected int totalYieldedWafersOut = 0;
    protected int deltaToCommit = 0;
    protected int deltaToPlan = 0;
    protected float totalYield = 0f;

    protected string? myClass;

    [Parameter] public YieldStatistics? YieldStatistics { get; set; }
    [Parameter] public int NumberOfDaysInWeek { get; set; } // = Model.OutsByDay.Count;
    [Parameter] public int YieldOutDays { get; set; } // = Model.IsCurrentWeek ? Model.OutsByDay.Count - 1 : Model.OutsByDay.Count;

}